Addons licence activation failed

    • gonzalo.ortiz
      Participant
      # 2 weeks, 1 day ago

      Hello,

      I have purchased several addons but the API key is not recognized. The error message is ” Not a valid license or license is missing”. I try with the master API key and the individuals keys and with and without the option “Bypass SSL”.

    • Thomas
      Keymaster
      # 2 weeks, 1 day ago

      Hi,

      Due to a recent expiration of the root certificates from Let’s Encrypt, openSSL version 1.1.x is now required.

      Your actual openSSL version can be found through phpinfo().

      • You can create a file on the root of your server named getinfos.php
      • In this file, paste this code and save
        <?php
        phpinfo();‚Äč
        
      • Browse to the page, eg. yoursite.com/getinfos.php
      • Scroll down to the page to check your cURL and openSSL versions, and make sure you have openSSL 1.1.0 or greater. If not, you should contact your host and ask him to update openSSL to fix Let’s Encrypt certificates issues when using cURL
      • Don’t forget to delete the file getinfos.php (contains sensitive data about your server)

      Note: you’ll also need WP 5.8.2+ which also includes a certificate update.

      Regards.

    • gonzalo.ortiz
      Participant
      # 1 week, 6 days ago
      This reply has been marked as private.
    • # 1 week, 6 days ago

      Hi,

      You can name the file with any name you prefer, it does not need to be getinfos.php. That file is temporary and you can delete it once you have the information we require.

      If you prefer, you can ask that same information to your host provider. Ask them to give you the content of the php_info for your server.

      You do not need to install let’s encrypt. You simply need to ensure that all the software on your server is uptodate (which by the way would be a good thing to do for you from the safety point of view).

Viewing 3 reply threads

You must be logged in to reply to this topic.